# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xsystemrestore`](#dsc_xsystemrestore): The DSC xSystemRestore resource type. Automatically generated from version 1.0.0
* [`dsc_xsystemrestorepoint`](#dsc_xsystemrestorepoint): The DSC xSystemRestorePoint resource type. Automatically generated from version 1.0.0

## Resource types

### `dsc_xsystemrestore`

The DSC xSystemRestore resource type.
Automatically generated from version 1.0.0

#### Properties

The following properties are available in the `dsc_xsystemrestore` type.

##### `dsc_drive`

Data type: `Optional[Array[String]]`

Specifies the file system drives. Enter one or more file system drive letters, each followed by a colon and a backslash and enclosed in quotation marks, such as 'C:' or 'D:'.

#### Parameters

The following parameters are available in the `dsc_xsystemrestore` type.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

Indicates that the computer restore is enabled or is disabled.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xsystemrestorepoint`

The DSC xSystemRestorePoint resource type.
Automatically generated from version 1.0.0

#### Properties

The following properties are available in the `dsc_xsystemrestorepoint` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Indicates if the specified restore point created. Set this property to 'Absent' to ensure that the restore point does not exist. Set it to 'Present' to ensure that the restore point does exist. The default is 'Present'.

##### `dsc_restorepointtype`

Data type: `Optional[Enum['APPLICATION_INSTALL', 'APPLICATION_UNINSTALL', 'DEVICE_DRIVER_INSTALL', 'MODIFY_SETTINGS', 'CANCELLED_OPERATION']]`

Specifies the type of restore point. The default is APPLICATION_INSTALL.

#### Parameters

The following parameters are available in the `dsc_xsystemrestorepoint` type.

##### `dsc_description`

namevar

Data type: `String`

Specifies a descriptive name for the restore point.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

