require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xsystemrestore',
  dscmeta_resource_friendly_name: 'xSystemRestore',
  dscmeta_resource_name: 'xSystemRestore',
  dscmeta_module_name: 'xWindowsRestore',
  dscmeta_module_version: '1.0.0',
  docs: 'The DSC xSystemRestore resource type.
         Automatically generated from version 1.0.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_drive: {
      type: 'Optional[Array[String]]',
      desc: "Specifies the file system drives. Enter one or more file system drive letters, each followed by a colon and a backslash and enclosed in quotation marks, such as 'C:' or 'D:'.",

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String[]',
      mof_is_embedded: false,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_ensure: {
      type: "Enum['Present', 'Absent']",
      desc: 'Indicates that the computer restore is enabled or is disabled.',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
